Bug 840163 - [abrt] mysql-workbench-5.2.40-1.fc17: PyThread_release_lock@plt: Process /usr/bin/mysql-workbench-bin was killed by signal 6 (SIGABRT)
[abrt] mysql-workbench-5.2.40-1.fc17: PyThread_release_lock@plt: Process /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:25aa4279673e1a53eec9deb321e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 20:52 EDT by Renich Bon Ciric
Modified: 2012-09-12 08:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 08:49:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (78.78 KB, text/plain)
2012-07-13 20:52 EDT, Renich Bon Ciric
no flags Details
File: maps (106.82 KB, text/plain)
2012-07-13 20:52 EDT, Renich Bon Ciric
no flags Details
File: dso_list (17.13 KB, text/plain)
2012-07-13 20:52 EDT, Renich Bon Ciric
no flags Details

  None (edit)
Description Renich Bon Ciric 2012-07-13 20:52:34 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/mysql-workbench-bin
crash_function: PyThread_release_lock@plt
executable:     /usr/bin/mysql-workbench-bin
kernel:         3.4.4-3.fc17.x86_64
pid:            3976
pwd:            /home/renich
time:           Fri 13 Jul 2012 05:54:37 PM CDT
uid:            1000
username:       renich
var_log_messages: Jul 13 17:54:38 introlap abrt[4012]: Saved core dump of pid 3976 (/usr/bin/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-07-13-17:54:37-3976 (77029376 bytes)

backtrace:      Text file, 80666 bytes
dso_list:       Text file, 17543 bytes
maps:           Text file, 109384 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/renich/2

core_backtrace:
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x35965 raise libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x37118 abort libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x2e6e2 __assert_fail_base libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x2e792 __assert_fail libc.so.6 -
:508cf66f72e70054a41215f80ed2385c6bb80030 0x378bb cairo_pattern_reference libcairo.so.2 -
:508cf66f72e70054a41215f80ed2385c6bb80030 0x1fad5 - libcairo.so.2 -
:508cf66f72e70054a41215f80ed2385c6bb80030 0x16aa5 cairo_set_source libcairo.so.2 -
:5ba2d21daa92ca9a7828e2c563cb805102325bc4 0x125d3d mforms::BarGraphWidget::repaint(_cairo*, libmforms.so.0 -
:5ba2d21daa92ca9a7828e2c563cb805102325bc4 0x14693d mforms::gtk::DrawBoxImpl::repaint(_GdkEventExpose*, libmforms.so.0 -
:a12904e3aa7e77a54deb00b1ca82f5d3da55cb91 0x33bc2b - libgtkmm-2.4.so.1 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x208ce - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bf60 gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x4551c - libgdk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x454c3 - libgdk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x40097 - libgdk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x42418 gdk_window_process_all_updates libgdk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0xc0fc1 - libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x1eb57 - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:803c23c4ec8c005781fa0a94052d115d98fa8a46 0x3dd6c3 main [exe] -

environ:
:LD_PRELOAD=/$LIB/libSegFault.so
:SEGFAULT_OUTPUT_NAME=/tmp/segv_output.wcrygT
:SEGFAULT_USE_ALTSTACK=1
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=introlap.g02.org
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GIO_LAUNCHED_DESKTOP_FILE_PID=3968
:GPG_AGENT_INFO=/run/user/renich/keyring-hHcyTo/gpg:0:1
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/renich/keyring-hHcyTo
:QTINC=/usr/lib64/qt-3.3/include
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=renich
:LD_LIBRARY_PATH=/usr/lib64/mysql-workbench
:SSH_AUTH_SOCK=/run/user/renich/keyring-hHcyTo/ssh
:USERNAME=renich
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1258,unix/unix:/tmp/.ICE-unix/1258
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/MySQLWorkbench.desktop
:MAIL=/var/spool/mail/renich
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/renich/.local/bin:/home/renich/bin:/usr/share/mysql-workbench/python
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/renich
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1254
:LANG=en_US.utf8
:MWB_PLUGIN_DIR=/usr/lib64/mysql-workbench/plugins
:'MYSQL_UTILITIES_COMMANDS=mysqlmetagrep mysqlserverinfo mysqlrplcheck mysqlrpladmin mysqlfailover mysqlprocgrep mysqldbexport mysqldiskusage mysqldiff mysqldbcopy mysqlreplicate mysqldbcompare mysqluserclone mysqlserverclone mysqldbimport mysqlindexcheck mysqlrplshow'
:GDM_LANG=en_US.utf8
:MWB_DATA_DIR=/usr/share/mysql-workbench
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/renich
:SHLVL=3
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:DBC_DRIVER_PATH=/usr/lib64/mysql-workbench
:LOGNAME=renich
:PYTHONPATH=/usr/share/mysql-workbench/python
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-WBK5DqnXzW,guid=be0d06d1d92d7272c7c9f03a00000024
:MWB_MODULE_DIR=/usr/lib64/mysql-workbench/modules
:MWB_LIBRARY_DIR=/usr/share/mysql-workbench/libraries
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/renich
:DISPLAY=:0
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-renich-Yrhgbi/database
:_=/usr/bin/mysql-workbench-bin

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 95791                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       95791                95791                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/renich/.xsession-errors
:pos:	20547
:flags:	0102002
:2:/home/renich/.xsession-errors
:pos:	20547
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[166601]
:pos:	0
:flags:	02000000
:5:pipe:[166601]
:pos:	0
:flags:	02000001
:6:socket:[166602]
:pos:	0
:flags:	02004002
:7:socket:[164803]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:socket:[169174]
:pos:	0
:flags:	02004002
:10:/dev/urandom
:pos:	0
:flags:	02100000
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:/usr/share/mysql-workbench/sshtunnel.py
:pos:	15726
:flags:	0100000
:13:socket:[175289]
:pos:	0
:flags:	02

smolt_data:
:
:
:General
:=================================
:UUID: 130440e8-1b39-4218-9721-a131af2216d4
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.utf8
:Platform: x86_64
:BogoMIPS: 3990.86
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2001
:System Memory: 11995
:System Swap: 14047
:Vendor: ASUSTeK Computer Inc.
:System: G74Sx 1.0
:Form factor: Notebook
:Kernel: 3.4.4-3.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7241:4163:4871) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(7027:4096:4163:4153) pci, xhci_hcd, USB, FL1000G USB 3.0 Host Controller
:(32902:7202:4163:4871) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7190:4163:4871) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4163:4871) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4163:4871) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:4689:4163:8266) pci, nouveau, VIDEO, N/A
:(32902:7200:4163:6963) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4318:3054:4163:8266) pci, snd_hda_intel, MULTIMEDIA, N/A
:(5772:43:6715:11319) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(4332:33128:4163:5845) pci, r8169, ETHERNET, U6V/U31J laptop
:(32902:7171:4163:4871) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4163:4871) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4163:4871) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4163:4871) pci, None, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4163:4871) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4163:4871) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(32902:257:4163:4871) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_introlap-lv_root / ext4 4096 4096 13081025 9600517 8945157 3276800 2936702 2936702
:/dev/sda2 /boot ext4 1024 1024 508644 397322 371722 128016 127621 127621
:/dev/mapper/vg_introlap-lv_home /home ext4 4096 4096 47124285 29198036 26838740 11796480 11766761 11766761
:

xsession_errors:
:mysql-workbench-bin: cairo-pattern.c:764: cairo_pattern_reference: Assertion `((*&(&pattern->ref_count)->ref_count) > 0)' failed.
:** (mysql-workbench-bin:4061): WARNING **: :30: link '704c6ec8-cd3d-11e1-a23f-742f683b5058' <object GrtObject> key=owner could not be resolved
:** (mysql-workbench-bin:4061): WARNING **: Trying to turn past the last page of the wizard
:** (mysql-workbench-bin:4061): WARNING **: Trying to turn past the last page of the wizard
:(mysql-workbench-bin:4061): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 0
:(mysql-workbench-bin:4061): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 0
:(mysql-workbench-bin:4061): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 0
:(mysql-workbench-bin:4061): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 0
:** (mysql-workbench-bin:7868): WARNING **: :5: link '9571b82a-cd3d-11e1-967a-742f683b5058' <object db.mgmt.Connection> key=connection could not be resolved
:(mysql-workbench-bin:7868): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:7868): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:7868): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:7868): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:7868): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:7868): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:7868): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:7868): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:7868): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
:(mysql-workbench-bin:7868): Gtk-CRITICAL **: gtk_tree_view_unref_tree_helper: assertion `node != NULL' failed
Comment 1 Renich Bon Ciric 2012-07-13 20:52:38 EDT
Created attachment 598195 [details]
File: backtrace
Comment 2 Renich Bon Ciric 2012-07-13 20:52:40 EDT
Created attachment 598196 [details]
File: maps
Comment 3 Renich Bon Ciric 2012-07-13 20:52:42 EDT
Created attachment 598197 [details]
File: dso_list
Comment 4 Remi Collet 2012-09-12 08:49:09 EDT
mysql-workbench-5.2.42-2 has been pushed to the Fedora stable repository.

Note You need to log in before you can comment on or make changes to this bug.